#!/bin/bash

TARGET=$(cat ../../../Target)
BUILD=$(cd ../../../Build/lib/ && pwd)

#
# Stripping and signing libx264 libraries.
#

if [ "$TARGET" = "Linux32" ] || [ "$TARGET" = "Linux64" ];
then
  strip "${BUILD}/libx264.so"

elif [ "$TARGET" = "MinGW" ]
then
  strip -p "${BUILD}/libx264.dll"

  ../../../Client/Packages/nxrunner/OS/windows/scripts/sign_bins_and_libs.sh ../../../Build/lib/libx264.dll

elif [ "$TARGET" = "MacOSX" ]
then
  NX_APPLE_SIGN_SCRIPT="../../../Client/Packages/nxrunner/OS/mac/common/pkgscripts/signFiles"
  NX_APPLE_SIGN_LOGFILE="sign.log"
  NX_CERTIFICATE_IDENTITY="493C5JZAGR"
  NX_CERTIFICATE_KEYCHAIN="/Library/Keychains/System.keychain"

  COMMAND_CODESIGN=`which codesign 2> /dev/null`

  strip  "${BUILD}/libx264.dylib"
  strip -x "${BUILD}/libx264.dylib"

  ${NX_APPLE_SIGN_SCRIPT} ${COMMAND_CODESIGN} "${NX_APPLE_SIGN_LOGFILE}" "${NX_CERTIFICATE_IDENTITY}" "${NX_CERTIFICATE_KEYCHAIN}" "${BUILD}/libx264.dylib"
fi



